Hello community,

here is the log from the commit of package libcontainers-storage for 
openSUSE:Factory checked in at 2018-02-20 17:57:52
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/libcontainers-storage (Old)
 and      /work/SRC/openSUSE:Factory/.libcontainers-storage.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "libcontainers-storage"

Tue Feb 20 17:57:52 2018 rev:2 rq:578391 version:0+git26204

Changes:
--------
--- 
/work/SRC/openSUSE:Factory/libcontainers-storage/libcontainers-storage.changes  
    2018-02-19 13:00:27.363184674 +0100
+++ 
/work/SRC/openSUSE:Factory/.libcontainers-storage.new/libcontainers-storage.changes
 2018-02-20 17:59:50.124181977 +0100
@@ -1,0 +2,6 @@
+Tue Feb 13 13:52:22 UTC 2018 - vrothb...@suse.com
+
+- Require golang >= 1.7.
+- Use golang-packaging macro to strip binaries.
+
+-------------------------------------------------------------------

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ libcontainers-storage.spec ++++++
--- /var/tmp/diff_new_pack.LEfD7Q/_old  2018-02-20 17:59:50.964151746 +0100
+++ /var/tmp/diff_new_pack.LEfD7Q/_new  2018-02-20 17:59:50.968151602 +0100
@@ -16,7 +16,6 @@
 #
 
 
-%define __arch_install_post export NO_BRP_STRIP_DEBUG=true
 %define project    github.com/containers/storage
 %define commit d4bace6a6d19ee11ba1ed30d7d92a58cf3d73b67
 # rev_list = git rev-list commit | wc -l
@@ -32,11 +31,14 @@
 Source1:        storage.conf
 BuildRequires:  device-mapper-devel
 BuildRequires:  go-md2man
-BuildRequires:  golang(API) >= 1.5
+BuildRequires:  golang(API) >= 1.7
+BuildRequires:  golang-packaging
 BuildRequires:  libbtrfs-devel
 BuildRequires:  libcontainers-common
 BuildRequires:  make
 Requires:       libcontainers-common
+# disable stripping of binaries
+%{go_nostrip}
 
 %description
 Configuration files, manpages and debugging tools from 
github.com/containers/storage.


Reply via email to